%define		fver	1_7
%define		ver		%(echo %{fver} | tr _ .)
%define		subver	21229
Summary:	Adaptec uniform command line interface
Summary(pl.UTF-8):	Ujednolicony interfejs linii poleceń Adapteca
Name:		arcconf
Version:	%{ver}.%{subver}
Release:	1
Epoch:		1
License:	Adaptec Downloadable Software License
Group:		Base
# link from any lastest adaptec controller download
Source0:	http://download.adaptec.com/raid/storage_manager/%{name}_v%{fver}_%{subver}.zip
# Source0-md5:	8d8e1829172bb72f69081b2ac6d2e50b
URL:		https://www.adaptec.com/en-us/downloads/storage_manager/sm/productid=asr-8805&dn=adaptec+raid+8805.html
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir		/sbin
%define		_enable_debug_packages	0

%description
Adaptec Storage Manager Command Line Utility.

Compatible Products:
- Adaptec RAID 6405
- Adaptec RAID 6405E
- Adaptec RAID 6405T
- Adaptec RAID 6445
- Adaptec RAID 6805
- Adaptec RAID 6805E
- Adaptec RAID 6805T
- Adaptec RAID 6805TQ
- Adaptec RAID 6805Q
- Adaptec RAID 7805
- Adaptec RAID 7805Q
- Adaptec RAID 78165
- Adaptec RAID 71605E
- Adaptec RAID 71605
- Adaptec RAID 71605Q
- Adaptec RAID 71685
- Adaptec RAID 72405
- Adaptec RAID 8805
- Adaptec RAID 8885
- Adaptec RAID 8885Q
- Adaptec RAID 81605ZQ

%description -l pl.UTF-8
Obsługiwane z linii poleceń narzędzie do zarządzania kontrolerami
Adapteca.

Obsługiwane kontrolery:
- Adaptec RAID 6405
- Adaptec RAID 6405E
- Adaptec RAID 6405T
- Adaptec RAID 6445
- Adaptec RAID 6805
- Adaptec RAID 6805E
- Adaptec RAID 6805T
- Adaptec RAID 6805TQ
- Adaptec RAID 6805Q
- Adaptec RAID 7805
- Adaptec RAID 7805Q
- Adaptec RAID 78165
- Adaptec RAID 71605E
- Adaptec RAID 71605
- Adaptec RAID 71605Q
- Adaptec RAID 71685
- Adaptec RAID 72405
- Adaptec RAID 8805
- Adaptec RAID 8885
- Adaptec RAID 8885Q
- Adaptec RAID 81605ZQ

%prep
%setup -qc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

%ifarch %{x8664}
install -p linux_x64/cmdline/arcconf $RPM_BUILD_ROOT%{_sbindir}/arcconf
%endif
%ifarch %{ix86}
install -p linux/cmdline/arcconf $RPM_BUILD_ROOT%{_sbindir}/arcconf
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
#%doc README.TXT
%attr(755,root,root) %{_sbindir}/arcconf
%changelog
* Sun Jul 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/arcconf.git;a=log;h=master

* Fri May 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 698059d
- up to 1.7.21229

* Fri Feb 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 557a178
- up to 1.4.20859 (adaptec starting numbering from lower version than before; supports controller series 6 to 8)

* Fri Aug 10 2012 Elan Ruusamäe <glen@delfi.ee> 769ce0f
- up to Adaptec Storage Manager v7.31.18856, more complete list of Compatible Products

* Fri Jan 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d8c8bef
- up to 18786

* Tue Aug 02 2011 marti <marti@pld-linux.org> 74e89f3
- up to 7.0 build 18781
- thanks to Wojciech Blaszkowski wojciech at blaszkowski dot com for update patch at pld-devel-pl

* Thu Apr 07 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3287b7d
- up to 18771

* Thu Mar 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6794e65
- build 18579; include manual

* Mon Jun 14 2010 Adam Gołębiowski <adamg@pld-linux.org> 5608c12
- typo

* Mon Jun 14 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 976ef3e
- up to 6.50

* Fri Mar 05 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> daf8588
- up to 6.40.18530

* Wed Nov 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a53c8c8
- up to 6.30 b18507

* Fri Sep 11 2009 Elan Ruusamäe <glen@pld-linux.org> b3e48ba
- more specific url

* Fri Sep 11 2009 Elan Ruusamäe <glen@pld-linux.org> d805cb6
- simplify build, include build id in version

* Sun Aug 17 2008 Jakub Bogusz <qboosh@pld-linux.org> feb6a7e
- pl
- restored Source0-md5

* Wed Aug 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 227f3ce
- note on source

* Wed Aug 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> aafc855
- include readme, don't produce debuginfo package

* Wed Aug 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 38c65a3
- update 64bit to 6.0, too

* Tue Aug 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 26d7001
- 6.0 for i686

* Wed Jul 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b08b322
- 5.30 for amd64

* Wed Jul 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f7093b
- 5.50 for i686

